Page MenuHomePhabricator

ArticleFeedbackv5: Consider showing "reader feedback" less or not on top of the page
Closed, DeclinedPublic

Description

Screenshot of problem.

Pages that have feedback on them now show a link to the feedback page with the number of comments left.

The link is in larger font (font-size: 14px; seems an odd number not matching any other font-size on the page) and prominently on top right underneath the page title. Also awkwardly positioned on the same line as the site sub "From Wikipedia, the free encyclopedia" which has a completely different styling and isn't separated from it in any way – one the same line.

Simplified:

<h1>Simon Pegg</h1>


<small>From Wikipedia..</small> <big>[|||] 1 READER COMMENT</big>

Simon Pegg (born 14 February 1970) is an English actor, ..

Personally I think the best course of action for the short term would be to remove it entirely from the top of the page. It seems way out of balance to display something relatively unimportant so boldly on the page. People will obviously notice and statistics may show it nicely, but perhaps people shouldn't be drawn to this that much?


Version: unspecified
Severity: enhancement

Attached:

Details

Reference
bz49286

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:57 AM
bzimport set Reference to bz49286.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Jun 7 2013, 2:37 AM

I think the area I captured in attached screenshot is reserved for the article title and content. I don't think any sort of interface belongs in that area.

When selecting text from the title down to the article it shouldn't contain anything other than the article and perhaps Wikipedia sub titles (and I don't mean it should have user-select: none;).

I definitely agree about how it's style is out of place.
https://gerrit.wikimedia.org/r/#/c/67841/ will get rid of the 14px size, and will, if that node is visible, append it inside #siteSub (which on enwiki is only 92%, so the link will then also inherit that diminished size)

While I do understand your reasoning that it's out of place, I can also relate to the reasons for adding it. If feedback is not desirable, it suffices to disable AFT (and moderate the remaining feedback queue) and that link will be gone.

I think Fabrice is better placed to discuss this, though (added in CC)

Yes, we're aware of the stylistic issues and are fixing those, as Matthias points out.

Regarding placement, we are looking for a prominent location to let editors know that there is useful feedback for that article -- and the location below the article title is one of the few spots where this link can be easily placed.

Another location might be on the same line, but all the way to the right, but we would have to make sure it doesn't interfere with the geo-location codes for articles about places (e.g.: San Francisco).

Note that this link only appears to editors, and only if another editor has marked feedback as 'useful' (or if a reader has marked it as 'helpful'). Right now, this only impacts a few hundred articles on the English Wikipedia, so the impact of this experimental feature is minimal for now.

People who don't want to see this link can easily turn it off in their preferences (check 'Don't show the Article feedback widget' in Preferences > Appearance >).

Read more about this feature here:
http://www.mediawiki.org/wiki/Article_feedback/Version_5/Feature_Requirements#Feedback_link_on_article_pages

Mockups or screenshots would be great here.

Created attachment 12513
After patch 67841, slightly more subtle

Attached:

https://gerrit.wikimedia.org/r/67841 (Gerrit Change If8e8808f5b0d94fe3d1c0718adbf166a333aff92) | change APPROVED and MERGED [by jenkins-bot]

Design approves this fix.

Jdforrester-WMF closed this task as Declined.Mar 5 2015, 10:03 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

All development work on AbuseFilter v.5 (and indeed, previous versions) is halted. The project is archived, so having open tasks is inappropriate. Consequently, I'm closing all tasks.